Bug 198739 - scim-bridge crashed when application exit with IME activated
scim-bridge crashed when application exit with IME activated
Product: Fedora
Classification: Fedora
Component: scim-bridge (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks: SCIM
  Show dependency treegraph
Reported: 2006-07-13 03:13 EDT by Lawrence Lim
Modified: 2014-03-25 20:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-17 01:10:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2006-07-13 03:13:49 EDT
Description of problem:
Noticed that if an application closes/quit with IME activated, that will cause 
scim-bridge to crash.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start evolution and create a new mail
2.activate scim
3.exit the application
Actual results:
scim-bridge crash

Expected results:
should exit normally

Additional info:
[Thread -1323197536 (LWP 3006) exited]

Program received signal SIGUSR1, User defined signal 1.
[Switching to Thread -1312707680 (LWP 3005)]
0xb7f87402 in ?? ()
(gdb) bt
#0  0xb7f87402 in ?? ()
#1  0x0011b1ee in sem_wait@GLIBC_2.0 () from /lib/libpthread.so.0
#2  0x08057645 in ScimBridgeAgentEventClient::poll_event (this=0x8a766b0)
    at scim-bridge-agent-event-client.cpp:111
#3  0x08058a7c in ScimBridgeAgentClientListenerImpl::process_event (
    this=0x8a766b0) at scim-bridge-agent-client-listener.cpp:375
#4  0x08058bdb in run_socket_writer (arg=0x8a766b0)
    at scim-bridge-agent-client-listener.cpp:153
#5  0x001163fc in start_thread () from /lib/libpthread.so.0
#6  0x00bd38ae in clone () from /lib/libc.so.6
Comment 1 Ryo Dairiki 2006-07-14 00:40:02 EDT
> Actual results:
> scim-bridge crash

How did you know that?
Does it kill IM on another apps too?

I always keep scim-anthy activated, but no problem has been occured.
(I've found another crash problem in logout, but it's another problem)

> Additional info:

This's normal; Scim-bridge-agent kills itself by USER1 signal.
Comment 2 Lawrence Lim 2006-07-17 01:10:22 EDT
OK understood. Closing as NOTABUG. Thanks.

Note You need to log in before you can comment on or make changes to this bug.